commit: ed40f0d4086818bc455b2db2127bcac78116d01c
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 18 20:01:36 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Apr 18 20:09:54 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed40f0d4
dev-ml/js_of_ocaml: fix automagic on ppx_driver and merge ppx useflags into one
Package-Manager: Portage-2.3.5, Repoman-2.3.2
.../{js_of_ocaml-2.8.4.ebuild => js_of_ocaml-2.8.4-r1.ebuild} | 8 ++++----
dev-ml/js_of_ocaml/js_of_ocaml-9999.ebuild | 8 ++++----
dev-ml/js_of_ocaml/metadata.xml | 1 -
3 files changed, 8 insertions(+), 9 deletions(-)
diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-2.8.4.ebuild
b/dev-ml/js_of_ocaml/js_of_ocaml-2.8.4-r1.ebuild
similarity index 86%
rename from dev-ml/js_of_ocaml/js_of_ocaml-2.8.4.ebuild
rename to dev-ml/js_of_ocaml/js_of_ocaml-2.8.4-r1.ebuild
index 11d4b7ce009..9331122157d 100644
--- a/dev-ml/js_of_ocaml/js_of_ocaml-2.8.4.ebuild
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-2.8.4-r1.ebuild
@@ -20,15 +20,14 @@ fi
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
-IUSE="+ocamlopt doc +deriving +ppx +ppx-deriving +react +xml X"
+IUSE="+ocamlopt doc +deriving +ppx +react +xml X"
RDEPEND="
>=dev-lang/ocaml-3.12:=[ocamlopt?,X?]
>=dev-ml/lwt-2.4.4:=[camlp4(+)]
react? ( dev-ml/react:= dev-ml/reactiveData:= )
xml? ( >=dev-ml/tyxml-4:= )
- ppx? ( dev-ml/ppx_tools:= )
- ppx-deriving? ( dev-ml/ppx_deriving:= )
+ ppx? ( dev-ml/ppx_tools:= dev-ml/ppx_deriving:= dev-ml/ppx_driver:= )
dev-ml/cmdliner:=
dev-ml/menhir:=
dev-ml/ocaml-base64:=
@@ -52,7 +51,8 @@ src_configure() {
use X || echo "WITH_GRAPHICS := NO" >> Makefile.conf
use react || echo "WITH_REACT := NO" >> Makefile.conf
use ppx || echo "WITH_PPX := NO" >> Makefile.conf
- use ppx-deriving || echo "WITH_PPX_PPX_DERIVING := NO" >> Makefile.conf
+ use ppx || echo "WITH_PPX_DERIVING := NO" >> Makefile.conf
+ use ppx || echo "WITH_PPX_DRIVER := NO" >> Makefile.conf
echo "WITH_ASYNC := NO" >> Makefile.conf
}
diff --git a/dev-ml/js_of_ocaml/js_of_ocaml-9999.ebuild
b/dev-ml/js_of_ocaml/js_of_ocaml-9999.ebuild
index a68da44990b..5b17a890bb3 100644
--- a/dev-ml/js_of_ocaml/js_of_ocaml-9999.ebuild
+++ b/dev-ml/js_of_ocaml/js_of_ocaml-9999.ebuild
@@ -20,15 +20,14 @@ fi
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
-IUSE="+ocamlopt doc +deriving +ppx +ppx-deriving +react +xml X"
+IUSE="+ocamlopt doc +deriving +ppx +react +xml X"
RDEPEND="
>=dev-lang/ocaml-3.12:=[ocamlopt?,X?]
>=dev-ml/lwt-2.4.4:=[camlp4(+)]
react? ( dev-ml/react:= dev-ml/reactiveData:= )
xml? ( >=dev-ml/tyxml-4:= )
- ppx? ( dev-ml/ppx_tools:= )
- ppx-deriving? ( dev-ml/ppx_deriving:= )
+ ppx? ( dev-ml/ppx_tools:= dev-ml/ppx_deriving:= dev-ml/ppx_driver:= )
dev-ml/cmdliner:=
dev-ml/menhir:=
dev-ml/ocaml-base64:=
@@ -48,7 +47,8 @@ src_configure() {
use X || echo "WITH_GRAPHICS := NO" >> Makefile.conf
use react || echo "WITH_REACT := NO" >> Makefile.conf
use ppx || echo "WITH_PPX := NO" >> Makefile.conf
- use ppx-deriving || echo "WITH_PPX_PPX_DERIVING := NO" >> Makefile.conf
+ use ppx || echo "WITH_PPX_DERIVING := NO" >> Makefile.conf
+ use ppx || echo "WITH_PPX_DRIVER := NO" >> Makefile.conf
echo "WITH_ASYNC := NO" >> Makefile.conf
}
diff --git a/dev-ml/js_of_ocaml/metadata.xml b/dev-ml/js_of_ocaml/metadata.xml
index 0b34c19deed..904a7a4498e 100644
--- a/dev-ml/js_of_ocaml/metadata.xml
+++ b/dev-ml/js_of_ocaml/metadata.xml
@@ -8,7 +8,6 @@
<use>
<flag name="deriving">Enable <pkg>dev-ml/deriving</pkg> support for
improving the type safety.</flag>
<flag name="ppx">Enables the ppx syntax extension</flag>
- <flag name="ppx-deriving">Enables deriving support through ppx syntax
extensions.</flag>
<flag name="react">Enable functionnal reactive programming
support.</flag>
</use>
<upstream>